### Function

# Gio IOExtensionPoint register

#### Declaration

    GIOExtensionPoint*
    g_io_extension_point_register (
      const char* name
    )

#### Description

Registers an extension point.

#### Parameters

`name`

  Type: `const char*`

  The name of the extension point.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIOExtensionPoint`

The new `GIOExtensionPoint`. This object is owned by GIO and should not be freed.

The data is owned by the called function.